diff --git a/src/test/regress/expected/gin.out b/src/test/regress/expected/gin.out
index cc7601c..a3911a6 100644
--- a/src/test/regress/expected/gin.out
+++ b/src/test/regress/expected/gin.out
@@ -4,8 +4,9 @@
 -- There are other tests to test different GIN opclassed. This is for testing
 -- GIN itself.
 -- Create and populate a test table with a GIN index.
-create table gin_test_tbl(i int4[]);
-create index gin_test_idx on gin_test_tbl using gin (i) with (fastupdate = on);
+create table gin_test_tbl(i int4[]) with (autovacuum_enabled = off);
+create index gin_test_idx on gin_test_tbl using gin (i)
+  with (fastupdate = on, gin_pending_list_limit = 4096);
 insert into gin_test_tbl select array[1, 2, g] from generate_series(1, 20000) g;
 insert into gin_test_tbl select array[1, 3, g] from generate_series(1, 1000) g;
 select gin_clean_pending_list('gin_test_idx')>10 as many; -- flush the fastupdate buffers
diff --git a/src/test/regress/sql/gin.sql b/src/test/regress/sql/gin.sql
index 31890b4..c566e9b 100644
--- a/src/test/regress/sql/gin.sql
+++ b/src/test/regress/sql/gin.sql
@@ -5,8 +5,9 @@
 -- GIN itself.
 
 -- Create and populate a test table with a GIN index.
-create table gin_test_tbl(i int4[]);
-create index gin_test_idx on gin_test_tbl using gin (i) with (fastupdate = on);
+create table gin_test_tbl(i int4[]) with (autovacuum_enabled = off);
+create index gin_test_idx on gin_test_tbl using gin (i)
+  with (fastupdate = on, gin_pending_list_limit = 4096);
 insert into gin_test_tbl select array[1, 2, g] from generate_series(1, 20000) g;
 insert into gin_test_tbl select array[1, 3, g] from generate_series(1, 1000) g;
 
